curl --request PUT \
--url https://api.komerza.com/stores/{storeId}/products/{productId}/variants/{variantId}/delivery \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"requireDiscordAuthorization": true,
"deliveryTypes": [
"<string>"
],
"dynamicUrl": "<string>",
"deliveryMessage": "<string>",
"subscriptionPeriod": "<string>"
}
'{
"success": true,
"message": "<string>",
"code": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"name": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost": 50000,
"deliveryTypes": [
"<string>"
],
"files": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"friendlyName": "<string>",
"ipAddress": "<string>",
"userId": "<string>"
}
],
"minimumQuantity": 123,
"maximumQuantity": 123,
"order": 123,
"imageNames": [
"<string>"
],
"stock": 123,
"stockMode": 0,
"customFields": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"identifier": "<string>",
"type": "<string>",
"isRequired": true,
"options": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"customFieldId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"value": "<string>",
"order": 1073741823
}
],
"placeholder": "<string>",
"hint": "<string>"
}
],
"dynamicUrl": "<string>",
"deliveryMessage": "<string>",
"metadata": "<string>"
}
}Configures how the variant is delivered (e.g., file, custom script).
Requires the stores.products.update permission.
curl --request PUT \
--url https://api.komerza.com/stores/{storeId}/products/{productId}/variants/{variantId}/delivery \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"requireDiscordAuthorization": true,
"deliveryTypes": [
"<string>"
],
"dynamicUrl": "<string>",
"deliveryMessage": "<string>",
"subscriptionPeriod": "<string>"
}
'{
"success": true,
"message": "<string>",
"code": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"name": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost": 50000,
"deliveryTypes": [
"<string>"
],
"files": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"friendlyName": "<string>",
"ipAddress": "<string>",
"userId": "<string>"
}
],
"minimumQuantity": 123,
"maximumQuantity": 123,
"order": 123,
"imageNames": [
"<string>"
],
"stock": 123,
"stockMode": 0,
"customFields": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"identifier": "<string>",
"type": "<string>",
"isRequired": true,
"options": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"customFieldId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"value": "<string>",
"order": 1073741823
}
],
"placeholder": "<string>",
"hint": "<string>"
}
],
"dynamicUrl": "<string>",
"deliveryMessage": "<string>",
"metadata": "<string>"
}
}Your API key goes here
The store’s unique identifier.
The product’s unique identifier.
The variant’s unique identifier.
The form containing new delivery parameters.
The form used to create a product variant.
If true, the buyer must authorize via Discord.
Enabled delivery types. Valid values: license_keys, dynamic, keyauth, instructions, files.
URL for dynamic fulfillment (when using the "dynamic" delivery type).
2048Optional message shown on delivery.
4096Subscription billing period. Null for one-time products.
The object was successfully updated.
Represents a default generic response for API endpoints.
Indicates whether the operation or response was successful.
A descriptive message providing additional context or information about the response.
The error code (if there was an error) to use when referencing the error
Represents a configurable variant associated with a product, containing various properties such as pricing, stock, delivery options, and custom fields.
Show child attributes
Was this page helpful?